Description

trying to do an installation in my environment I get this:

./configure: line 3747: /usr/lib/jvm/default-java/jre/bin/java: No such file or directory

no

configure: error: Java interpreter '/usr/lib/jvm/default-java/jre/bin/java' does not work

ERROR: configuration failed for package ‘rJava’

removing ‘/home/emmanuel.blondel/R/x86_64-pc-linux-gnu-library/3.4/rJava’ Warning in install.packages : installation of

package ‘rJava’ had non-zero exit status

History

#2 - Oct 03, 2018 03:02 PM - Andrea Dell'Amico

- Tracker changed from Support to Task

- Status changed from New to In Progress

The problem is still the same (the JDK was updated from 7 to 8 in the meantime). I'm going to install the package globally.

#3 - Oct 03, 2018 06:59 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

rJava is going to be installed on every rstudio instance in the next minutes.

#4 - Oct 05, 2018 02:58 PM - Emmanuel Blondel

What i got trying to run 'library(rJava)' (in RStudioLab and RPrototypingLab VREs)

Error: package or namespace load failed for ‘rJava’:

 .onLoad failed in loadNamespace() for 'rJava', details:

  call: dyn.load(file, DLLpath = DLLpath, ...)

  error: unable to load shared object '/usr/local/lib/R/site-library/rJava/libs/rJava.so':

  libjvm.so: cannot open shared object file: No such file or directory

#5 - Oct 09, 2018 11:01 AM - Andrea Dell'Amico

It seems that rJava wants JAVA_HOME="/usr/lib/jvm/java-8-oracle/jre", while that variable is usually JAVA_HOME="/usr/lib/jvm/java-8-oracle". I'm

trying to find a way to set it into .Rprofile.

I'm using Sys.setenv but it does not work. I'll let you know if I make any progress.

#6 - Oct 09, 2018 11:39 AM - Andrea Dell'Amico

It's not even that. it seems that I have to setup a full java environment before running R CMD javareconf. The command

export JAVA_HOME=/usr/lib/jvm/java-8-oracle ; export J2SDKDIR=/usr/lib/jvm/java-8-oracle ; export J2REDIR=/usr

/lib/jvm/java-8-oracle/jre ;  R CMD javareconf

 fixed the configuration. @emmanuel.blondel1@gmail.com can you verify if it works for you now?

#7 - Oct 09, 2018 11:51 AM - Emmanuel Blondel

still get the same error
library(rJava)

Error: package or namespace load failed for ‘rJava’:

.onLoad failed in loadNamespace() for 'rJava', details:

call: dyn.load(file, DLLpath = DLLpath, ...)

error: unable to load shared object '/usr/local/lib/R/site-library/rJava/libs/rJava.so':

libjvm.so: cannot open shared object file: No such file or directory

#8 - Oct 09, 2018 12:47 PM - Andrea Dell'Amico

On what instance? I’ll try to reproduce from inside studio, because the library always loads successfully when I run R from a shell.

#9 - Oct 09, 2018 12:54 PM - Emmanuel Blondel

I've tried on both RStudioLab and RPrototypingLab, and before i've restarted the R session in case

#10 - Oct 10, 2018 12:47 AM - Andrea Dell'Amico

- File Screen Shot 2018-10-10 at 00.06.15.png added

I just tried RStudioLab (my instance was rstudio1.d4science.org) and rJava loaded, here is a screenshot.

I've also tried RPrototypingLab and the load of the library fails from inside rstudio, but succeeds when running R from the shell. I don't know where a

difference can be. @g.panichi@isti.cnr.it @gianpaolo.coro@isti.cnr.it do you have any clue?

#11 - Oct 10, 2018 12:53 AM - Emmanuel Blondel

Hi @andrea.dellamico@isti.cnr.it , the instances i've tried are:

http://ip-90-147-167-30.ct1.garrservices.it/ (from RStudioLab VRE)

http://rstudio1-proto.d4science.org/ (from RPrototypingLab VRE) In both cases it fails

#12 - Oct 17, 2018 02:13 PM - Andrea Dell'Amico

- Status changed from Feedback to In Progress

- % Done changed from 100 to 80

I'm still not able to find the reason why the load of the library fails from inside rstudio while it works from a shell (same user, same .Rprofile, same

environment).

#13 - Dec 04, 2018 06:33 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

Now it's working for me on all the instances I have access to. Any feedback?

#14 - Dec 11, 2018 03:49 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
